Merchant Application Underwriting section.
Application Underwriting
Get Underwriting Bank Details
get /enroll/application/underwriting/key/{externalKey}
Get information about the Underwriting bank related to an existing application.
Parameters
externalKey required
Type
stringPattern
^(?!.*/).*$Range
1 to 50 charactersExample
0aa000a-000a-00a0-00a0-00000aa00a0Loading...
Example Response
200 Return underwriting related details for enrollment application.
403 Invalid agent client affiliation response.
404 Application not found error response.
500 Internal server error response.
Update Underwriting Bank
patch /enroll/application/underwriting/key/{externalKey}
Update Underwriting bank for an existing application. If an invalid bank is provided during the update operation, a default valid Underwriting bank is automatically assigned based on the eligibility criteria.
Parameters
externalKey required
Type
stringPattern
^(?!.*/).*$Range
1 to 50 charactersExample
0aa000a-000a-00a0-00a0-00000aa00a0Loading...
Request Schema
underwritingBank required
Type
stringExample
TBBLoading...
Example Request
Example Response
200 Return updated underwriting related details for enrollment application.
400 Bad request response.
403 Invalid agent client affiliation response.
404 Application not found error response.
415 Unsupported media type response - Invalid content type.
422 Schema validation error within request body response.